import Map from 'ol/Map';

export default class MapProperties{

    private map: Map;
    private projection: string;

    constructor(map:Map, projection: string){
        this.map = map;
        this.projection = projection;
    }

    public getZoomLevel():number{
        return this.map.getView().getZoom();
    }

    public getProjection(): string{
        return this.projection;
    }

}